Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class MessageIdentification2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.MessageIdentification2

    public class MessageIdentification2
    extends java.lang.Object

Java class for MessageIdentification2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MessageIdentification2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgNmId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `msgId`
`protected java.lang.String` `msgNmId`

### Constructor Summary

Constructors
`MessageIdentification2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMsgId()` Gets the value of the msgId property.
`java.lang.String` `getMsgNmId()` Gets the value of the msgNmId property.
`void` `setMsgId​(java.lang.String value)` Sets the value of the msgId property.
`void` `setMsgNmId​(java.lang.String value)` Sets the value of the msgNmId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgNmId

    protected java.lang.String msgNmId

#### msgId

    protected java.lang.String msgId

### Constructor Detail

#### MessageIdentification2

    public MessageIdentification2()

### Method Detail

#### getMsgNmId

    public java.lang.String getMsgNmId()

Gets the value of the msgNmId property.

Returns:
  possible object is `String`

#### setMsgNmId

    public void setMsgNmId​(java.lang.String value)

Sets the value of the msgNmId property.

Parameters:
  `value` - allowed object is `String`

#### getMsgId

    public java.lang.String getMsgId()

Gets the value of the msgId property.

Returns:
  possible object is `String`

#### setMsgId

    public void setMsgId​(java.lang.String value)

Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`